Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] jack: update to 1.9.13, adopt package
@ 2019-10-08 20:07 voidlinux-github
  2019-10-08 20:34 ` voidlinux-github
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-08 20:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 506 bytes --]

There is a new pull request by daniel-eys against master on the void-packages repository

https://github.com/daniel-eys/void-packages jack
https://github.com/void-linux/void-packages/pull/15267

jack: update to 1.9.13, adopt package
* basic functionality tested on x86_64
* use python3 (jack_control script is now python3 compatible)
* optional support for FireWire devices (libffado) added via `ffado` buildoption

A patch file from https://github.com/void-linux/void-packages/pull/15267.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-jack-15267.patch --]
[-- Type: text/x-diff, Size: 2167 bytes --]

From e825adf1e0ace85916027e9a9ba90e699e7b4ced Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Mon, 7 Oct 2019 13:55:51 +0200
Subject: [PATCH] jack: update to 1.9.13, adopt package

---
 srcpkgs/jack/template | 32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/jack/template b/srcpkgs/jack/template
index 3303ec5a9b7..cf68fc917de 100644
--- a/srcpkgs/jack/template
+++ b/srcpkgs/jack/template
@@ -1,32 +1,38 @@
 # Template file for 'jack'
 pkgname=jack
-version=1.9.12
-revision=12
+version=1.9.13
+revision=1
 wrksrc="jack2-${version}"
-# XXX libffado (firewire)
-hostmakedepends="pkg-config python"
-makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel"
-depends="python-dbus"
+hostmakedepends="pkg-config python3"
+makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel
+ $(vopt_if ffado libffado-devel)"
+depends="python3-dbus"
 short_desc="JACK Audio Connection Kit low-latency sound server (pro audio)"
-maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2, LGPL-2.1"
-homepage="http://jackaudio.org/"
+maintainer="Daniel Eyßer <daniel.eysser@gmail.com>"
+license="GPL-2.0-or-later, LGPL-2.1-or-later"
+homepage="https://jackaudio.org/"
 distfiles="https://github.com/jackaudio/jack2/archive/v${version}.tar.gz"
-checksum=deefe2f936dc32f59ad3cef7e37276c2035ef8a024ca92118f35c9a292272e33
+checksum=2a683eef63b608b292411d66482fd45aa7fa8dc004bed4184e06f9f9ca83c075
+python_version=3
+
+# Package build options
+build_options="ffado"
+desc_option_ffado="Enable support for FireWire audio devices"
 
 if [ -z "CROSS_BUILD" ]; then
 	makedepends+=" eigen"
 fi
 
 do_configure() {
-	python2 waf configure --prefix=/usr --alsa --classic --dbus
+	python3 waf configure --prefix=/usr --alsa --classic --dbus
 }
+
 do_build() {
-	python2 waf build ${makejobs}
+	python3 waf build ${makejobs}
 }
 
 do_install() {
-	python2 waf install --destdir=${DESTDIR}
+	python3 waf install --destdir=${DESTDIR}
 
 	# pam_limits(8) support
 	vinstall ${FILESDIR}/jack-limitsd.conf 644 etc/security/limits.d jack.conf

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: jack: update to 1.9.13, adopt package
  2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
@ 2019-10-08 20:34 ` voidlinux-github
  2019-10-08 20:47 ` voidlinux-github
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-08 20:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 182 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/pull/15267#issuecomment-539692502

Comment:
There is waf3 build style that may fit.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: jack: update to 1.9.13, adopt package
  2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
  2019-10-08 20:34 ` voidlinux-github
@ 2019-10-08 20:47 ` voidlinux-github
  2019-10-08 20:58 ` [PR PATCH] [Updated] " voidlinux-github
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-08 20:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 196 bytes --]

New comment by daniel-eys on void-packages repository

https://github.com/void-linux/void-packages/pull/15267#issuecomment-539697436

Comment:
Ah, thanks for the hint! I'm adjusting the template.

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PR PATCH] [Updated] jack: update to 1.9.13, adopt package
  2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
  2019-10-08 20:34 ` voidlinux-github
  2019-10-08 20:47 ` voidlinux-github
@ 2019-10-08 20:58 ` voidlinux-github
  2019-10-08 20:58 ` voidlinux-github
  2019-10-15 19:42 ` [PR PATCH] [Merged]: " voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-08 20:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 511 bytes --]

There is an updated pull request by daniel-eys against master on the void-packages repository

https://github.com/daniel-eys/void-packages jack
https://github.com/void-linux/void-packages/pull/15267

jack: update to 1.9.13, adopt package
* basic functionality tested on x86_64
* use python3 (jack_control script is now python3 compatible)
* optional support for FireWire devices (libffado) added via `ffado` buildoption

A patch file from https://github.com/void-linux/void-packages/pull/15267.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-jack-15267.patch --]
[-- Type: text/x-diff, Size: 2145 bytes --]

From 509c9271b621b23554ad9a6c4257808a5cbbd1a3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Mon, 7 Oct 2019 13:55:51 +0200
Subject: [PATCH] jack: update to 1.9.13, adopt package

---
 srcpkgs/jack/template | 38 ++++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 20 deletions(-)

diff --git a/srcpkgs/jack/template b/srcpkgs/jack/template
index 3303ec5a9b7..4c60f0ede3b 100644
--- a/srcpkgs/jack/template
+++ b/srcpkgs/jack/template
@@ -1,33 +1,31 @@
 # Template file for 'jack'
 pkgname=jack
-version=1.9.12
-revision=12
+version=1.9.13
+revision=1
 wrksrc="jack2-${version}"
-# XXX libffado (firewire)
-hostmakedepends="pkg-config python"
-makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel"
-depends="python-dbus"
+build_style=waf3
+configure_args="--alsa --classic --dbus"
+hostmakedepends="pkg-config"
+makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel
+ $(vopt_if ffado libffado-devel)"
+depends="python3-dbus"
 short_desc="JACK Audio Connection Kit low-latency sound server (pro audio)"
-maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2, LGPL-2.1"
-homepage="http://jackaudio.org/"
+maintainer="Daniel Eyßer <daniel.eysser@gmail.com>"
+license="GPL-2.0-or-later, LGPL-2.1-or-later"
+homepage="https://jackaudio.org/"
 distfiles="https://github.com/jackaudio/jack2/archive/v${version}.tar.gz"
-checksum=deefe2f936dc32f59ad3cef7e37276c2035ef8a024ca92118f35c9a292272e33
+checksum=2a683eef63b608b292411d66482fd45aa7fa8dc004bed4184e06f9f9ca83c075
+python_version=3
+
+# Package build options
+build_options="ffado"
+desc_option_ffado="Enable support for FireWire audio devices"
 
 if [ -z "CROSS_BUILD" ]; then
 	makedepends+=" eigen"
 fi
 
-do_configure() {
-	python2 waf configure --prefix=/usr --alsa --classic --dbus
-}
-do_build() {
-	python2 waf build ${makejobs}
-}
-
-do_install() {
-	python2 waf install --destdir=${DESTDIR}
-
+post_install() {
 	# pam_limits(8) support
 	vinstall ${FILESDIR}/jack-limitsd.conf 644 etc/security/limits.d jack.conf
 	# audio group permissions for realtime

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PR PATCH] [Updated] jack: update to 1.9.13, adopt package
  2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
                   ` (2 preceding siblings ...)
  2019-10-08 20:58 ` [PR PATCH] [Updated] " voidlinux-github
@ 2019-10-08 20:58 ` voidlinux-github
  2019-10-15 19:42 ` [PR PATCH] [Merged]: " voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-08 20:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 511 bytes --]

There is an updated pull request by daniel-eys against master on the void-packages repository

https://github.com/daniel-eys/void-packages jack
https://github.com/void-linux/void-packages/pull/15267

jack: update to 1.9.13, adopt package
* basic functionality tested on x86_64
* use python3 (jack_control script is now python3 compatible)
* optional support for FireWire devices (libffado) added via `ffado` buildoption

A patch file from https://github.com/void-linux/void-packages/pull/15267.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-jack-15267.patch --]
[-- Type: text/x-diff, Size: 2145 bytes --]

From 509c9271b621b23554ad9a6c4257808a5cbbd1a3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Ey=C3=9Fer?= <daniel.eysser@gmail.com>
Date: Mon, 7 Oct 2019 13:55:51 +0200
Subject: [PATCH] jack: update to 1.9.13, adopt package

---
 srcpkgs/jack/template | 38 ++++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 20 deletions(-)

diff --git a/srcpkgs/jack/template b/srcpkgs/jack/template
index 3303ec5a9b7..4c60f0ede3b 100644
--- a/srcpkgs/jack/template
+++ b/srcpkgs/jack/template
@@ -1,33 +1,31 @@
 # Template file for 'jack'
 pkgname=jack
-version=1.9.12
-revision=12
+version=1.9.13
+revision=1
 wrksrc="jack2-${version}"
-# XXX libffado (firewire)
-hostmakedepends="pkg-config python"
-makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel"
-depends="python-dbus"
+build_style=waf3
+configure_args="--alsa --classic --dbus"
+hostmakedepends="pkg-config"
+makedepends="opus-devel libsamplerate-devel readline-devel dbus-devel celt-devel
+ $(vopt_if ffado libffado-devel)"
+depends="python3-dbus"
 short_desc="JACK Audio Connection Kit low-latency sound server (pro audio)"
-maintainer="Orphaned <orphan@voidlinux.org>"
-license="GPL-2, LGPL-2.1"
-homepage="http://jackaudio.org/"
+maintainer="Daniel Eyßer <daniel.eysser@gmail.com>"
+license="GPL-2.0-or-later, LGPL-2.1-or-later"
+homepage="https://jackaudio.org/"
 distfiles="https://github.com/jackaudio/jack2/archive/v${version}.tar.gz"
-checksum=deefe2f936dc32f59ad3cef7e37276c2035ef8a024ca92118f35c9a292272e33
+checksum=2a683eef63b608b292411d66482fd45aa7fa8dc004bed4184e06f9f9ca83c075
+python_version=3
+
+# Package build options
+build_options="ffado"
+desc_option_ffado="Enable support for FireWire audio devices"
 
 if [ -z "CROSS_BUILD" ]; then
 	makedepends+=" eigen"
 fi
 
-do_configure() {
-	python2 waf configure --prefix=/usr --alsa --classic --dbus
-}
-do_build() {
-	python2 waf build ${makejobs}
-}
-
-do_install() {
-	python2 waf install --destdir=${DESTDIR}
-
+post_install() {
 	# pam_limits(8) support
 	vinstall ${FILESDIR}/jack-limitsd.conf 644 etc/security/limits.d jack.conf
 	# audio group permissions for realtime

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [PR PATCH] [Merged]: jack: update to 1.9.13, adopt package
  2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
                   ` (3 preceding siblings ...)
  2019-10-08 20:58 ` voidlinux-github
@ 2019-10-15 19:42 ` voidlinux-github
  4 siblings, 0 replies; 6+ messages in thread
From: voidlinux-github @ 2019-10-15 19:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 352 bytes --]

There's a merged pull request on the void-packages repository

jack: update to 1.9.13, adopt package
https://github.com/void-linux/void-packages/pull/15267

Description:
* basic functionality tested on x86_64
* use python3 (jack_control script is now python3 compatible)
* optional support for FireWire devices (libffado) added via `ffado` buildoption

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2019-10-15 19:42 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-10-08 20:07 [PR PATCH] jack: update to 1.9.13, adopt package voidlinux-github
2019-10-08 20:34 ` voidlinux-github
2019-10-08 20:47 ` voidlinux-github
2019-10-08 20:58 ` [PR PATCH] [Updated] " voidlinux-github
2019-10-08 20:58 ` voidlinux-github
2019-10-15 19:42 ` [PR PATCH] [Merged]: " voidlinux-github

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror http://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ http://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git